> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lexful.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Organization

> Get a specific organization by ID with optional tag expansion



## OpenAPI

````yaml /api/openapi.yaml get /v1/organizations/{organizationId}
openapi: 3.0.3
info:
  title: Documentation Service API
  description: API documentation for Documentation Service
  version: 1.0.0
servers:
  - url: https://api.us.lexful.app
    description: US pod
security:
  - bearerAuth: []
    accountId: []
paths:
  /v1/organizations/{organizationId}:
    get:
      tags:
        - Organizations
      summary: Get an Organization
      description: Get a specific organization by ID with optional tag expansion
      parameters:
        - schema:
            type: string
          in: query
          name: expand
          required: false
          description: Comma-separated list of fields to expand (e.g., "tags")
        - schema:
            type: string
          in: query
          name: include_deleted
          required: false
          description: Include deleted organizations (true/false)
        - schema:
            type: string
            format: uuid
          in: path
          name: organizationId
          required: true
          description: Organization ID
      responses:
        '200':
          $ref: '#/components/responses/GetOrganizationResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '403':
          $ref: '#/components/responses/ForbiddenResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  responses:
    GetOrganizationResponse:
      description: Default Response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GetOrganizationResponse_application_json'
    BadRequestResponse:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenResponse:
      description: Forbidden - insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerErrorResponse:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    GetOrganizationResponse_application_json:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Organization unique identifier
        is_primary:
          type: boolean
          description: Whether this is the primary organization
        name:
          type: string
          description: Organization name
        slug:
          type: string
          description: Organization slug (URL-friendly identifier)
        type:
          type: string
          description: Organization type
        status:
          type: string
          description: Organization status
        description:
          type: string
          nullable: true
          description: Organization description
        logo_url:
          type: string
          nullable: true
          format: uri
          description: Organization logo URL
        website_url:
          type: string
          nullable: true
          format: uri
          description: Organization website URL
        notes:
          type: string
          nullable: true
          description: Internal notes
        alert:
          type: string
          nullable: true
          description: Alert message for this organization
        parent_id:
          type: string
          nullable: true
          format: uuid
          description: Parent organization ID
        asset_management:
          type: string
          enum:
            - disabled
            - enabled
            - read_only
          description: Asset management status - controls entity CRUD operations
        tags:
          type: array
          description: Expanded tags (only present when expand=tags is used)
          items:
            $ref: >-
              #/components/schemas/GetOrganizationResponse_application_json_tags_items
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        created_by:
          type: string
          description: User ID who created the organization
        updated_by:
          type: string
          description: User ID who last updated the organization
        deleted_at:
          type: string
          nullable: true
          format: date-time
          description: Deletion timestamp
      required:
        - id
        - name
        - slug
        - type
        - status
        - is_primary
    ErrorResponse:
      description: Bad request - validation error
      type: object
      properties:
        status:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
        error_id:
          type: string
          description: Unique error identifier
        error_code:
          type: string
          description: Error code
        developer_message:
          type: string
          description: Additional details for developers
    GetOrganizationResponse_application_json_tags_items:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Tag ID
        name:
          type: string
          description: Tag name
        color:
          type: string
          description: Tag color (hex code)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token
    accountId:
      type: apiKey
      in: header
      name: X-Account-ID
      description: Account ID

````